Bug 492755 - RFE: Unified Way to Handle Update Images
RFE: Unified Way to Handle Update Images
Status: CLOSED NOTABUG
Product: Fedora
Classification: Fedora
Component: anaconda (Show other bugs)
rawhide
All Linux
low Severity medium
: ---
: ---
Assigned To: Anaconda Maintenance Team
Fedora Extras Quality Assurance
:
Depends On:
Blocks:
  Show dependency treegraph
 
Reported: 2009-03-29 06:49 EDT by Daniel Qarras
Modified: 2009-04-17 08:46 EDT (History)
5 users (show)

See Also:
Fixed In Version:
Doc Type: Bug Fix
Doc Text:
Story Points: ---
Clone Of:
Environment:
Last Closed: 2009-04-17 08:46:09 EDT
Type: ---
Regression: ---
Mount Type: ---
Documentation: ---
CRM:
Verified Versions:
Category: ---
oVirt Team: ---
RHEL 7.3 requirements from Atomic Host:
Cloudforms Team: ---


Attachments (Terms of Use)

  None (edit)
Description Daniel Qarras 2009-03-29 06:49:07 EDT
Description of problem:
With the recent addition of unified way to refer to installation media (see Bug 488540) it becomes even more useful to have a unified way to handle update images.

Currently it seems that in case of ks=... path being incorrect, CD installation will automagically check for /updates directory for updates.img etc but this does not happen with, e.g., USB installations. This unification between CD/USB/DVD/SD/etc would be highly beneficial as scripting to create kickstart files etc becomes much easier and with a large set of users and systems it is impossible to know all the combinations they are used beforehand.

One use case example: with a customized install image with different profiles, some profiles supply a valid ks=... path and proceed as usual. Some profiles could provide knowingly an invalid ks=... path and thus check for update images in /updates directory which would then do something appropriate for those install targets. As said, this already can be done with CD installations but not with USB.
Comment 1 Jerry Vonau 2009-04-12 15:26:38 EDT
If you drop your updates.img into /images on the usb drive, it will get used...

https://bugzilla.redhat.com/show_bug.cgi?id=491781
Comment 2 Daniel Qarras 2009-04-13 06:27:00 EDT
Thanks for the info, I'll try to test this out a bit later. If anyone is able to confirm this earlier please feel free to close this one.
Comment 3 Joel Andres Granados 2009-04-17 08:46:09 EDT
Yep anaconda, searches for the image in images/.

Note You need to log in before you can comment on or make changes to this bug.